diff --git python-repoze-who-testutil/python-repoze-who-testutil.spec python-repoze-who-testutil/python-repoze-who-testutil.spec.tmp
index e285726961..7a8d86c87f 100644
--- python-repoze-who-testutil/python-repoze-who-testutil.spec
+++ python-repoze-who-testutil/python-repoze-who-testutil.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:       python-repoze-who-testutil
 Version:    1.0.1
-Release:    12%{?dist}
+Release:    13%{?dist}
 Summary:    Test utilities for repoze.who-powered applications
 Group:      Development/Languages
 License:    BSD
@@ -16,21 +16,29 @@ BuildArch:  noarch
 BuildRequires:  python-devel, python-setuptools
 # Test suite requirements
 # BuildRequires:    python-paste-deploy, python-repoze-who >= 1.0, python-nose, python-coverage
-Requires:   python-repoze-who >= 1.0
-Requires:   python-zope-interface
-Requires:   python-paste > 1.7
-Requires:   python-paste-deploy >= 1.3.3
 
-%description
-repoze.who-testutil is a repoze.who plugin which modifies repoze.who‘s 
-original middleware to make it easier to forge authentication, without 
-bypassing identification (this is, running the metadata providers).
-It’s been created in order to ease testing of repoze.who-powered 
-applications, in a way independent of the identifiers, authenticators 
-and challengers used originally by your application, so that you won’t have 
-to update your test suite as your application grows and the authentication 
+%global _description\
+repoze.who-testutil is a repoze.who plugin which modifies repoze.who‘s\
+original middleware to make it easier to forge authentication, without\
+bypassing identification (this is, running the metadata providers).\
+It’s been created in order to ease testing of repoze.who-powered\
+applications, in a way independent of the identifiers, authenticators\
+and challengers used originally by your application, so that you won’t have\
+to update your test suite as your application grows and the authentication\
 method changes.
 
+%description %_description
+
+%package -n python2-repoze-who-testutil
+Summary: %summary
+Requires:   python-paste-deploy >= 1.3.3
+Requires:   python-paste > 1.7
+Requires:   python-zope-interface
+Requires:   python-repoze-who >= 1.0
+%{?python_provide:%python_provide python2-repoze-who-testutil}
+
+%description -n python2-repoze-who-testutil %_description
+
 %prep
 %setup -q -n repoze.who-testutil-%{version}
 cp %{SOURCE1} .
@@ -50,12 +58,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-repoze-who-testutil
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-13
+- Python 2 subpackage renamed to python2-repoze-who-testutil
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-requests-cache/python-requests-cache.spec python-requests-cache/python-requests-cache.spec.tmp
index 290e038cef..b3d8585ef7 100644
--- python-requests-cache/python-requests-cache.spec
+++ python-requests-cache/python-requests-cache.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.4.6
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Persistent cache for requests library
 
 License:        BSD
@@ -22,11 +22,18 @@ BuildRequires:  python3-requests
 BuildRequires:  python3-sphinx
 %endif # if with_python3
 
+%global _description\
+Requests-cache is a transparent persistent\
+cache for the requests (version >= 1.1.0) library.
+
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
 Requires:       python-requests >= 1.1.0
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-Requests-cache is a transparent persistent
-cache for the requests (version >= 1.1.0) library.
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
@@ -103,7 +110,7 @@ sed -i '1{\@^#!/usr/bin/python@d}' %{buildroot}%{python2_sitelib}/requests_cache
 sed -i 's/\r$//' html/_static/jquery.js
 sed -i 's/\r$//' LICENSE
 
-%files
+%files -n python2-%{pypi_name}
 %doc html README.rst LICENSE
 %{python2_sitelib}/requests_cache
 %{python2_sitelib}/requests_cache-%{version}*
@@ -116,6 +123,10 @@ sed -i 's/\r$//' LICENSE
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.6-10
+- Python 2 subpackage renamed to python2-requests-cache
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-restauth-common/python-restauth-common.spec python-restauth-common/python-restauth-common.spec.tmp
index d66c33e841..a85cbc2146 100644
--- python-restauth-common/python-restauth-common.spec
+++ python-restauth-common/python-restauth-common.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-restauth-common
 Version:        0.6.2
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Python module containing classes used by both RestAuth server/client
 Group:          Development/Languages
 License:        GPLv3+
@@ -18,11 +18,19 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
-%description
-RestAuthCommon is a small project that collects various code that is used
-in both server and client reference implementations of the RestAuth protocol,
+%global _description\
+RestAuthCommon is a small project that collects various code that is used\
+in both server and client reference implementations of the RestAuth protocol,\
 which are both written in python.
 
+%description %_description
+
+%package -n python2-restauth-common
+Summary: %summary
+%{?python_provide:%python_provide python2-restauth-common}
+
+%description -n python2-restauth-common %_description
+
 %if 0%{?with_python3}
 %package -n python3-restauth-common
 Summary:        Python module containing classes used by both RestAuth server/client
@@ -79,7 +87,7 @@ rm -rf %{buildroot}/usr/share/doc/*
 cp -a ./doc/_build/html ./
 rm -f html/\.buildinfo
 
-%files
+%files -n python2-restauth-common
 %doc AUTHORS COPYING COPYRIGHT ChangeLog
 %{python_sitelib}/*
 
@@ -93,6 +101,10 @@ rm -f html/\.buildinfo
 %doc html
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.2-12
+- Python 2 subpackage renamed to python2-restauth-common
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-restauth/python-restauth.spec python-restauth/python-restauth.spec.tmp
index 5ee619eeca..889d287479 100644
--- python-restauth/python-restauth.spec
+++ python-restauth/python-restauth.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-restauth
 Version:        0.6.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Reference implementation of RestAuth specification in Python
 Group:          Development/Languages
 License:        GPLv3+
@@ -16,16 +16,24 @@ BuildRequires:  python-setuptools
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
-Requires:       python-restauth-common
 
-%description
-The RestAuth project is a system providing shared authentication,
-authorization and preferences.
-
-This reference library implements all features of the RestAuth specification.
-It is written in pure python and generally works with
+%global _description\
+The RestAuth project is a system providing shared authentication,\
+authorization and preferences.\
+\
+This reference library implements all features of the RestAuth specification.\
+It is written in pure python and generally works with\
 Python 2.6 or later (including Python 3).
 
+%description %_description
+
+%package -n python2-restauth
+Summary: %summary
+Requires:       python-restauth-common
+%{?python_provide:%python_provide python2-restauth}
+
+%description -n python2-restauth %_description
+
 %if 0%{?with_python3}
 %package -n python3-restauth
 Summary:        Reference implementation of RestAuth specification in Python
@@ -94,7 +102,7 @@ for f in examples/*.py; do
     chmod -x $f
 done
 
-%files
+%files -n python2-restauth
 %doc AUTHORS ChangeLog COPYING COPYRIGHT
 %{python_sitelib}/*
 
@@ -108,6 +116,10 @@ done
 %doc html examples
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.1-12
+- Python 2 subpackage renamed to python2-restauth
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rest-client/python-rest-client.spec python-rest-client/python-rest-client.spec.tmp
index edbef7732c..544b8f2279 100644
--- python-rest-client/python-rest-client.spec
+++ python-rest-client/python-rest-client.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-rest-client
 Version:        0.3
-Release:        11gitf898f0%{?dist}
+Release:        12gitf898f0%{?dist}
 Summary:        A REST Client for use in python, using httplib2 and urllib2
 
 License:        GPLv3
@@ -14,12 +14,20 @@ BuildArch:      noarch
 BuildRequires:  python-setuptools
 BuildRequires:  python2-devel
 
-%description
-A REST Client for use in python, using httplib2 and urllib2.
+%global _description\
+A REST Client for use in python, using httplib2 and urllib2.\
+\
+Includes a version that is suitable for use in the Google App Engine\
+environment.\
 
-Includes a version that is suitable for use in the Google App Engine 
-environment.
 
+%description %_description
+
+%package -n python2-rest-client
+Summary: %summary
+%{?python_provide:%python_provide python2-rest-client}
+
+%description -n python2-rest-client %_description
 
 %prep
 # checkout from github under username-{project-name}-hash
@@ -40,11 +48,15 @@ rm -rf $RPM_BUILD_ROOT
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-rest-client
 %doc README.rst
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-12gitf898f0
+- Python 2 subpackage renamed to python2-rest-client
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-11gitf898f0
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-restkit/python-restkit.spec python-restkit/python-restkit.spec.tmp
index c7012e4966..931afbf9c2 100644
--- python-restkit/python-restkit.spec
+++ python-restkit/python-restkit.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pypi_name}
 Version:        4.2.2
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Restkit is an HTTP resource kit for Python
 License:        MIT
 URL:            http://benoitc.github.com/restkit/
@@ -10,10 +10,6 @@ Source0:        http://pypi.python.org/packages/source/r/restkit/restkit-%{versi
 Patch0:         restkit-disable-tests-needing-internet-connection.patch
 BuildArch:      noarch
 
-Requires:  python-socketpool >= 0.5.3
-Requires:  python-http-parser >= 0.8.3
-Requires:  python-webob
-
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-nose
@@ -21,10 +17,21 @@ BuildRequires:  python-socketpool >= 0.5.3
 BuildRequires:  python-http-parser >= 0.8.3
 BuildRequires:  python-webob
 
-%description
-Restkit is a full HTTP client using pure socket calls and its own
+%global _description\
+Restkit is a full HTTP client using pure socket calls and its own\
 HTTP parser. It's not based on httplib or urllib2.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:  python-webob
+Requires:  python-http-parser >= 0.8.3
+Requires:  python-socketpool >= 0.5.3
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %prep
 %setup -q -n %{pypi_name}-%{version}
 # remove bundled egg-info
@@ -47,7 +54,7 @@ sed -i '1d' %{buildroot}%{python_sitelib}/%{pypi_name}/contrib/webob_api.py
 %check
 nosetests --exclude="009-test-oauth_filter"
 
-%files
+%files -n python2-%{pypi_name}
 %doc %{_docdir}/%{pypi_name}/
 %{_bindir}/restcli
 %{python_sitelib}/restkit*
@@ -55,6 +62,10 @@ nosetests --exclude="009-test-oauth_filter"
 %exclude %{python_sitelib}/tests
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.2.2-8
+- Python 2 subpackage renamed to python2-restkit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-resultsdb_api/python-resultsdb_api.spec python-resultsdb_api/python-resultsdb_api.spec.tmp
index 6c88dcd82d..63fdf0ee67 100644
--- python-resultsdb_api/python-resultsdb_api.spec
+++ python-resultsdb_api/python-resultsdb_api.spec.tmp
@@ -1,7 +1,7 @@
 Name:           python-resultsdb_api
 # NOTE: if you update version, *make sure* to also update `setup.py`
 Version:        2.0.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Interface api to ResultsDB
 
 License:        GPLv2+
@@ -10,8 +10,6 @@ Source0:        https://qa.fedoraproject.org/releases/resultsdb_api/resultsdb_ap
 
 BuildArch:      noarch
 
-Requires:       python-requests
-Requires:       python-simplejson
 BuildRequires:  git
 BuildRequires:  pytest
 BuildRequires:  python2-devel
@@ -24,9 +22,19 @@ BuildRequires:  python-virtualenv
 
 %{?python_provide:%python_provide python-resultsdb_api}
 
-%description
+%global _description\
 Interface api to ResultsDB
 
+%description %_description
+
+%package -n python2-resultsdb_api
+Summary: %summary
+Requires:       python-simplejson
+Requires:       python-requests
+%{?python_provide:%python_provide python2-resultsdb_api}
+
+%description -n python2-resultsdb_api %_description
+
 %prep
 %setup -q -n resultsdb_api-%{version}
 
@@ -41,13 +49,17 @@ Interface api to ResultsDB
 %install
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-resultsdb_api
 %doc README.md
 %license LICENSE
 %{python2_sitelib}/resultsdb_api.*
 %{python2_sitelib}/*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-4
+- Python 2 subpackage renamed to python2-resultsdb_api
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-retrying/python-retrying.spec python-retrying/python-retrying.spec.tmp
index 8290083ba3..18957dfba8 100644
--- python-retrying/python-retrying.spec
+++ python-retrying/python-retrying.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.2.3
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        General-purpose retrying library in Python
 
 License:        ASL 2.0
@@ -25,14 +25,21 @@ BuildArch:      noarch
 
 BuildRequires:  python2-devel
 
-Requires:       python-six
 
+%global _description\
+Retrying is an Apache 2.0 licensed general-purpose retrying library,\
+written in Python, to simplify the task of adding retry behavior to\
+just about anything.\
 
-%description
-Retrying is an Apache 2.0 licensed general-purpose retrying library,
-written in Python, to simplify the task of adding retry behavior to
-just about anything.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-six
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -73,7 +80,7 @@ cp -a . %{py3dir}
 %{__python3} setup.py install --skip-build --root %{buildroot}
 %endif
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst LICENSE
 %{python2_sitelib}/%{pypi_name}.py*
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -87,6 +94,10 @@ cp -a . %{py3dir}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.3-12
+- Python 2 subpackage renamed to python2-retrying
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rhev/python-rhev.spec python-rhev/python-rhev.spec.tmp
index bc69c16179..2717152cdb 100644
--- python-rhev/python-rhev.spec
+++ python-rhev/python-rhev.spec.tmp
@@ -1,7 +1,7 @@
 %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
 Name:           python-rhev
 Version:        1.0
-Release:        15.rc1%{?dist}.10
+Release:        15.rc1%{?dist}.11
 Summary:        Python binding to Red Hat Enterprise Virtualization's REST API
 
 Group:          Development/Languages
@@ -14,12 +14,20 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  PyXB
 BuildRequires:  python-setuptools
-Requires:       PyXB
 
-%description
-Python-RHEV is a validating object-oriented Python binding to Red Hat
+%global _description\
+Python-RHEV is a validating object-oriented Python binding to Red Hat\
 Enterprise Virtualization's REST API.
 
+%description %_description
+
+%package -n python2-rhev
+Summary: %summary
+Requires:       PyXB
+%{?python_provide:%python_provide python2-rhev}
+
+%description -n python2-rhev %_description
+
 %prep
 %setup -q -n python-rhev-1.0-rc1.15
 
@@ -33,12 +41,16 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-rhev
 %defattr(-,root,root,-)
 %doc examples/* README LICENSE AUTHORS
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-15.rc1.11
+- Python 2 subpackage renamed to python2-rhev
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-15.rc1.10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-robosignatory/python-robosignatory.spec python-robosignatory/python-robosignatory.spec.tmp
index f8c094b47a..e8e6832793 100644
--- python-robosignatory/python-robosignatory.spec
+++ python-robosignatory/python-robosignatory.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-robosignatory
 Version:            0.3.6
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            A fedmsg consumer that automatically signs artifacts
 
 License:            GPLv2+
@@ -22,23 +22,30 @@ BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 
 BuildRequires:      fedmsg
-Requires:           fedmsg
 
 BuildRequires:      koji
-Requires:           koji
 # https://bodhi.fedoraproject.org/updates/python-robosignatory-0.2.0-1.el7#comment-552652
 #Requires:           sigul
 
-Requires:           rpmdevtools
+
+%global _description\
+A fedmsg consumer that automatically signs artifacts.\
+\
+RoboSignatory is composed of multiple consumers:\
+- TagConsumer is a consumer that listens for tags into a specific koji tag,\
+  then signs the build and moves it to a different koji tag.\
 
 
-%description
-A fedmsg consumer that automatically signs artifacts.
+%description %_description
 
-RoboSignatory is composed of multiple consumers:
-- TagConsumer is a consumer that listens for tags into a specific koji tag,
-  then signs the build and moves it to a different koji tag.
+%package -n python2-robosignatory
+Summary: %summary
+Requires:           rpmdevtools
+Requires:           koji
+Requires:           fedmsg
+%{?python_provide:%python_provide python2-robosignatory}
 
+%description -n python2-robosignatory %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -52,7 +59,7 @@ rm -rf %{modname}.egg-info
 %install
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-robosignatory
 %doc README.rst LICENSE
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{modname}-%{version}*
@@ -63,6 +70,10 @@ rm -rf %{modname}.egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.6-3
+- Python 2 subpackage renamed to python2-robosignatory
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-roman/python-roman.spec python-roman/python-roman.spec.tmp
index f94a9600b3..dbebfe2200 100644
--- python-roman/python-roman.spec
+++ python-roman/python-roman.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-%{pypi_name}
 Version:        2.0.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Integer to Roman numerals converter
 
 License:        Python
@@ -25,9 +25,17 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
+%global _description\
 Integer to Roman numerals converter
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if %{with python3}
 %package -n python3-%{pypi_name}
 Summary:        Integer to Roman numerals converter
@@ -73,7 +81,7 @@ cp -a . %{py3dir}
 
 %{__python2} setup.py test
 
-%files
+%files -n python2-%{pypi_name}
 %doc 
 
 %{python2_sitelib}/%{pypi_name}.py*
@@ -87,6 +95,10 @@ cp -a . %{py3dir}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-9
+- Python 2 subpackage renamed to python2-roman
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ropemacs/python-ropemacs.spec python-ropemacs/python-ropemacs.spec.tmp
index b2ace27df4..ab746126cc 100644
--- python-ropemacs/python-ropemacs.spec
+++ python-ropemacs/python-ropemacs.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{modname}
 Version:        0.7
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Plugin for performing python refactorings in emacs
 Group:          Development/Tools
 License:        GPLv2+
@@ -17,12 +17,19 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-ropemode
+%global _description\
+Ropemacs is a plugin for performing python refactorings in Emacs. It\
+uses rope library and pymacs and supports full rope functionality.
+
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
 Requires:       emacs-pymacs
+Requires:       python-ropemode
+%{?python_provide:%python_provide python2-%{modname}}
 
-%description
-Ropemacs is a plugin for performing python refactorings in Emacs. It
-uses rope library and pymacs and supports full rope functionality.
+%description -n python2-%{modname} %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -37,12 +44,16 @@ sed -i "s:'ropemode',::g" setup.py
 
 
 
-%files
+%files -n python2-%{modname}
 %doc COPYING CONTRIBUTORS README.txt docs/*
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7-10
+- Python 2 subpackage renamed to python2-ropemacs
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ropemode/python-ropemode.spec python-ropemode/python-ropemode.spec.tmp
index b5b00c709e..786afdab0b 100644
--- python-ropemode/python-ropemode.spec
+++ python-ropemode/python-ropemode.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{modname}
 Version:        0.2
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Helper for using rope refactoring library in IDEs
 Group:          Development/Libraries
 License:        GPLv2+
@@ -14,13 +14,20 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-rope
 
-Requires:       python
-Requires:       python-rope >= 0.9.4
+%global _description\
+Ropemode is a helper library for use of rope refactoring from within\
+IDEs, mainly used by ropemacs within Emacs.\
 
-%description
-Ropemode is a helper library for use of rope refactoring from within
-IDEs, mainly used by ropemacs within Emacs.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+Requires:       python-rope >= 0.9.4
+Requires:       python
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
 
 %prep
 %setup -q -n %{modname}-%{version}%{?rctag}
@@ -34,12 +41,16 @@ IDEs, mainly used by ropemacs within Emacs.
 
 
 
-%files
+%files -n python2-%{modname}
 %doc PKG-INFO
 %{python_sitelib}/%{modname}
 %{python_sitelib}/*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-8
+- Python 2 subpackage renamed to python2-ropemode
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rope/python-rope.spec python-rope/python-rope.spec.tmp
index 3f7276bc6e..4f6ede2b39 100644
--- python-rope/python-rope.spec
+++ python-rope/python-rope.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-rope
 Version:        0.10.3
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Python Code Refactoring Library
 
 Group:          Development/Languages
@@ -18,10 +18,18 @@ BuildRequires:  python2-devel
 # between rope and the version control system.  (So refactorings that rename a
 # file, for instance, will be checked into version control.)
 
-%description
-A python refactoring library. It provides features like refactorings and coding
+%global _description\
+A python refactoring library. It provides features like refactorings and coding\
 assists.
 
+%description %_description
+
+%package -n python2-rope
+Summary: %summary
+%{?python_provide:%python_provide python2-rope}
+
+%description -n python2-rope %_description
+
 %prep
 %setup -q -n rope-%{version}
 
@@ -40,13 +48,17 @@ rm -rf $RPM_BUILD_ROOT
 %check
 python setup.py test
 
-%files
+%files -n python2-rope
 %defattr(-,root,root,-)
 %doc README.rst COPYING docs
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.3-3
+- Python 2 subpackage renamed to python2-rope
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rosinstall/python-rosinstall.spec python-rosinstall/python-rosinstall.spec.tmp
index 816bc64d3d..0bff76c00d 100644
--- python-rosinstall/python-rosinstall.spec
+++ python-rosinstall/python-rosinstall.spec.tmp
@@ -10,7 +10,7 @@
 %global realname rosinstall
 Name:           python-rosinstall
 Version:        0.7.7
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        ROS installation utilities
 
 License:        BSD
@@ -39,17 +39,25 @@ BuildRequires:  python3-wstool >= 0.1.12
 %endif
 
 # install_requires from setup.py
-Requires:       python-vcstools >= 0.1.38
-Requires:       PyYAML
-Requires:       python-rosdistro >= 0.3.0
-Requires:       python-catkin_pkg
+
+%global _description\
+rosinstall is a tool to check out ROS source code (or any source code, really)\
+from multiple version control repositories and updating these checkouts. Given\
+a *.rosinstall file that specifies where to get code, rosinstall will check\
+out a working copy for you.
+
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
 Requires:       python-wstool >= 0.1.12
+Requires:       python-catkin_pkg
+Requires:       python-rosdistro >= 0.3.0
+Requires:       PyYAML
+Requires:       python-vcstools >= 0.1.38
+%{?python_provide:%python_provide python2-%{realname}}
 
-%description
-rosinstall is a tool to check out ROS source code (or any source code, really)
-from multiple version control repositories and updating these checkouts. Given 
-a *.rosinstall file that specifies where to get code, rosinstall will check 
-out a working copy for you. 
+%description -n python2-%{realname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{realname}
@@ -113,7 +121,7 @@ rm -rf doc/_build/html/.buildinfo
 #popd
 #nosetests
 
-%files
+%files -n python2-%{realname}
 %license LICENSE
 %doc doc/_build/html README.rst
 %{_bindir}/*
@@ -129,6 +137,10 @@ rm -rf doc/_build/html/.buildinfo
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.7-8
+- Python 2 subpackage renamed to python2-rosinstall
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
